---
title: プライバシーリクエスト
slug: gzbAHqF6v1ica02QWzMMN
createdAt: 2025-08-12T21:15:13.774Z
---

{
  "id": "9Q145-cLAXnQNSehCzRx8",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.forter-secure.com/privacy/requests",
    "servers": [
      {
        "url": "https://api.forter-secure.com/privacy/requests"
      }
    ],
    "name": "Privacy request",
    "description": "<p>In compliance with privacy laws, request access or deletion of customer data on behalf of the customer.\nThis endpoint should only be used if a data subject has specifically asked that their personal data be accessed or deleted, and their identity has been verified.\nThe response will include a unique ID assigned to this request.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "api-version",
          "type": "string",
          "example": "10.1",
          "description": "Specify the version of the API to target.",
          "default": "10.1"
        },
        {
          "kind": "required",
          "name": "x-forter-siteid",
          "type": "string",
          "example": "a1b2c3d4e5f6",
          "description": "<p>Forter-assigned ID for your account. Note that your Site ID for your test site is different from your production site.</p>",
          "default": "8b47c6d423ba"
        },
        {
          "kind": "required",
          "name": "Authorization",
          "type": "string",
          "example": "Basic <base64-encoded-api-key:>",
          "description": "Basic Authentiation in the form of a username and password. Use the API Key as the username and leave the password empty.",
          "default": "Basic <base64-encoded-api-key:>"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "In compliance with privacy laws, request access or deletion of customer data on behalf of the customer. \nThis endpoint should only be used if a data subject has specifically asked that their personal data be accessed or deleted, and their identity has been verified. \nThe response will include a unique ID assigned to this request.",
          "customType": "privacyRequestRequest",
          "schema": [
            {
              "name": "identifier",
              "kind": "required",
              "type": "object",
              "description": "Request identifier details",
              "modelRef": "#/components/schemas/Identifier",
              "customType": "Identifier",
              "schema": [
                {
                  "name": "type",
                  "kind": "required",
                  "type": "string<EMAIL>",
                  "description": "Type of identifier",
                  "example": "",
                  "default": "EMAIL"
                },
                {
                  "name": "value",
                  "kind": "required",
                  "type": "string",
                  "description": "Identifier value",
                  "example": "",
                  "default": "user@test.com"
                }
              ]
            },
            {
              "name": "requestType",
              "kind": "required",
              "type": "string<DELETE | ACCESS>",
              "description": "Type of this privacy request",
              "example": "",
              "default": "ACCESS"
            }
          ],
          "modelRef": "#/components/schemas/privacyRequestRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basicAuth",
          "name": "basicAuth",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Example privacyResponse",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Response object for creation of a new privacy request.",
            "customType": "privacyResponse",
            "schema": [
              {
                "name": "requestUniqueId",
                "kind": "required",
                "type": "string",
                "description": "A Forter unique identifier that was assigned to a privacy request. It can be used to retrieve the status information and download the output data in case of an access request.",
                "example": "",
                "default": "2023-04-23T060200931-ax32-privacy"
              }
            ],
            "modelRef": "#/components/schemas/privacyResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request (Often missing a required parameter)",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "Unauthorized (No valid API key provided)",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found (The requested item doesn't exist)",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "Server Error (Something went wrong on Forter's end)",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.forter-secure.com/privacy/requests \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'api-version: 10.1' \\\n     --header 'x-forter-siteid: 8b47c6d423ba' \\\n     --header 'authorization: Basic <base64-encoded-api-key:>' \\\n     --data-raw '{\n     \"identifier\": {\n     \"type\": \"EMAIL\",\n     \"value\": \"user@test.com\"\n     },\n     \"requestType\": \"ACCESS\"\n     }'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"api-version\", \"10.1\");\nmyHeaders.append(\"x-forter-siteid\", \"8b47c6d423ba\");\nmyHeaders.append(\"authorization\", \"Basic <base64-encoded-api-key:>\");\n\nvar raw = JSON.stringify({\n   \"identifier\": {\n      \"type\": \"EMAIL\",\n      \"value\": \"user@test.com\"\n   },\n   \"requestType\": \"ACCESS\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.forter-secure.com/privacy/requests\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.forter-secure.com/privacy/requests\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"api-version\"] = \"10.1\"\nrequest[\"x-forter-siteid\"] = \"8b47c6d423ba\"\nrequest[\"authorization\"] = \"Basic <base64-encoded-api-key:>\"\nrequest.body = JSON.dump({\n   \"identifier\": {\n      \"type\": \"EMAIL\",\n      \"value\": \"user@test.com\"\n   },\n   \"requestType\": \"ACCESS\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.forter-secure.com/privacy/requests\"\n\npayload = json.dumps({\n   \"identifier\": {\n      \"type\": \"EMAIL\",\n      \"value\": \"user@test.com\"\n   },\n   \"requestType\": \"ACCESS\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'api-version': '10.1',\n   'x-forter-siteid': '8b47c6d423ba',\n   'authorization': 'Basic <base64-encoded-api-key:>'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Example privacyResponse\n{\n  \"requestUniqueId\": \"\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request (Often missing a required parameter)\n"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Unauthorized (No valid API key provided)\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found (The requested item doesn't exist)\n"
        },
        {
          "id": "response-4-500",
          "language": "500",
          "code": "// Server Error (Something went wrong on Forter's end)\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "aZ1HTxnpsS9MND9OJjBvB",
      "type": "paragraph",
      "children": [
        {
          "text": "プライバシー法に従い、顧客の代理として顧客データへのアクセスまたは削除を要求します。\nこのエンドポイントは、データ主体が特に自分の個人データへのアクセスまたは削除を求め、その身元が確認された場合にのみ使用する必要があります。\n応答には、このリクエストに割り当てられた一意のIDが含まれます。"
        }
      ]
    }
  ]
}